<?php
$account_task_id = Dever::input('set')['account_task_id'] ?? 0;
$type = Dever::input('set')['type'] ?? '转存';
$button = $data_button = array();
if ($type == '分享') {
    $button = array
    (
        '取消分享' => array('api', 'pan/task.delete'),
        '导入分享' => array('api', 'pan/task.import'),
    );
    $data_button = array
    (
        '取消分享' => array('api', 'pan/task.delete'),
    );
}
return array
(
    'source' => 'pan/task_data',
    'list' => array
    (
        'where' => array('account_task_id' => $account_task_id),
        'field'      => array
        (
            'file_name',
            'share_url',
            'cdate',
        ),
        'button' => $button,
        'data_button' => $data_button,
        'search'    => array
        (
            'file_name',
            'share_url',
        ),
        'export' => array
        (
            'out' => '导出',
        ),
    ),
);